*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}


/* common code here */
.container{
  max-width: 1100px;
  margin: auto;
}

section{
  padding: 80px 0;
}

body,html{
  scroll-behavior: smooth;
}

body{
  background: #f5f5f5;
  color: #222;
  body {
    background-color: #ffffff;
    color: #000000;
    font-family: Arial, sans-serif;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

}
#img1{
  transform: translate(-12px, 12px);
    width: 558px;
    height: 387px;
}
#img2{
  width: 389px;
    height: 275px;
    transform: translateY(1px);
}
#img1:hover{
  transform: scale(1.2);
}
#img2:hover{
  transform: scale(1.2);
}
.skill span{
  margin-right: 45px;
}
.theme{
  background-color: #111;
  color: #cde1f8;
}

.title{
  width: 100%;
  text-align: center;
  font-size: 2.5rem;
  text-transform: uppercase;
  font-weight: 500;
}

.line{
  width: 80px;
  background: #0078ff;
  height: 4px;
  margin: 0 auto;
  margin-top: 10px;
}

.menu-btn{
  color: white;
  font-size: 23px;
  cursor: pointer;
  display: none;
}

.scrollbtn{
  height: 40px;
  width: 40px;
  position: fixed;
  right: 20px;
  bottom: 40px;
  background: #0078ff;
  padding: 8px;
  border: none;
  outline: none;
  border-radius: 50%;
  cursor: pointer;
  z-index: 500;
  pointer-events: auto;
}

.scrollbtn i{
  text-align: center;
  font-size: 20px;
  color: white;
}

/* navbar styling */
.navbar{
  position: fixed;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem 8rem;
  z-index: 500;
  transition: 0.4s;
}
.nav2{
  display: none;
}
.navbar.sticky{
  position: fixed;
  top: 0;
  width: 100%;
  background: white;
  color: #0078ff;
  padding: 1.1rem 8rem;
  box-shadow: 0px 6px 9px 0px rgb(0 0 0 /6%);
}

.navbar .logo a{
  text-decoration: none;
  font-weight: 600;
  font-size: 30px;
  color: white;
}

.navbar.sticky .logo a{
  color: #0078ff;
}

.navbar .menu li{
  list-style: none;
  display: inline-block;
  margin-left: 35px;
  position: relative;
}

.navbar .menu li a{
  display: block;
  text-decoration: none;
  font-size: 16px;
  font-weight: 600;
  color: white;
}

.navbar.sticky .menu li a{
  color: #0078ff;
}

.navbar .menu li a::before{
  content: "";
  position: absolute;
  width: 0%;
  left: 0;
  bottom: -10px;
  height: 2px;
  background: white;
  transition: 0.2s;
}

.navbar.sticky .menu li a::before{
  background: #0078ff;
}

.navbar .menu li a:hover:before{
  width: 35px;
}

/* home styling */
.home{
  position: relative;
  left: 0;
  top: 0;
  height: 100vh;
  background: linear-gradient(rgba(99, 12, 12, 0.5),rgba(0,0,0,0.8)), url(images/intro-bg.jpg) center center/cover no-repeat;
  background-attachment: fixed;
  color: rgb(224, 209, 209);

}
li button{
  background: #0078ff;
    color: white;
    border: 3px solid rgb(240, 18, 18);
    border-radius: 45px;
    transition: 1s all ease-in-out;
}
li button:hover{
  background-color: black;
  color: #0078ff;
  border: 3px solid white;
}
.home .home-content{
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
#hide{
  display: none;
}
.card{
  margin-top: 34px;
}
.home .home-content h1{
  font-size: 4.2rem;
  margin-top: 106px;
  animation: speed 2s linear alternate infinite;
  background: linear-gradient(to left,
  violet,
  indigo,
  blue,
  green,
  yellow,
  orange,
  red);
-webkit-background-clip: text;
color: transparent;
}

@keyframes speed {
  0%{
    transform:translateY(30px);
  }100%{
  transform:translateY(-12px);
  }

}

.home .home-content span{
  font-size: 45px;
}

/* about me styling */
.about-content{
  background: rgb(191, 158, 158);
  width: 100%;
  padding: 2.5rem 3rem;
  font-size: 29px;
  display: flex;
  box-shadow: 0 1px 1px 0 rgba(30, 4, 4, 0.06), 0 2px 5px 0 rgb(0 0 0 / 20%);
}

.about-content .info{
  width: 86%;
  padding: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.about-content .info .personal{
  display: flex;
  align-items: center;
  width: 100%;
}

.about-content .info .personal .photo{
  width: 40%;
  display: flex;
}

.about-content .info .personal .photo img{
  border-radius: 5px;
}

.about-content .info .personal .name{
  align-items: flex-start;
  width: 60%;
}

.about-content .info .personal .name p{
  margin-bottom: 15px;
  font-size: 18px;
}

.about-content .info .personal .name p span{
  font-weight: 600
}

.about-content .info .skills{
  margin-top: 25px;
}

.about-content .info .skills h4{
  font-size: 20px;
  margin-bottom: 20px;
}

.about-content .info .skills .skill{
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.about-content .info .skills .progress-line{
  margin-top: 10px;
  height: 15px;
  width: 154%;
  background: #cde1f8;
  position: relative;
  margin-bottom: 25px;
}
.progress-line2{
  margin-top: 10px;
  height: 15px;
  width: 154%;
  background: #cde1f8;
  position: relative;
  margin-bottom: 25px;
}
.progress-line3{
  margin-top: 10px;
  height: 15px;
  width: 154%;
  background: #cde1f8;
  position: relative;
  margin-bottom: 25px;
}
.about-content .info .skills .progress-line span{
  position: absolute;
  height: 100%;
  background: #0078ff;
}
.progress-line2 span{
  position: absolute;
  height: 100%;
  background: #00ff1f;
}
.about-content .info .skills .progress-line3 span{
  position: absolute;
  height: 100%;
  background: red;
}
.about-content .info .skills .progress-line .html{
  width: 95%;
}

.about-content .info .skills .progress-line2 .css{
  width: 85%;
}

.about-content .info .skills .progress-line3 .javascript{
  width: 75%;
}

.about-content .info .skills .progress-line .php{
  width: 70%;
}
.logo1 a{
  display: none;
}
.about-content .aboutme{
  width: 50%;
  padding: 0 20px;
  color: color-mix(in hsl shorter hue, color percentage, color percentage);
}

.about-content .aboutme h5{
  font-size: 2rem;
  position: relative;
  font-weight: 500;
  margin-bottom: 2.5rem;
}

.about-content .aboutme h5::before{
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  width: 80px;
  height: 4px;
  background: #0078ff;
}

.about-content .aboutme p{
  font-weight: 900;
    margin-bottom: 15px;
    font-size: 26px;
    
  }

  

/* services section styling */
.services{
  background: #111;
  color: white;
}

.services .services-content{
  margin-top: 2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
}

.services .services-content .card{
  width: 330px;
  text-align: center;
  background: #222;
  padding: 20px 15px;
  margin-bottom: 30px;
  border-radius: 10px;
  cursor: pointer;
  transition: 0.3s;
}

.services .services-content .card:hover{
  background: #0078ff;
}

.services .services-content .card .card-content{
  transition: 0.3s;
}

.services .services-content .card:hover .card-content{
  transform: scale(1.07);
}

.services .services-content .card .card-content .icon{
  padding: 5px 0;
  color: white;
}

.services .services-content .card .card-content .icon i{
  font-size: 5rem;
}

.services .services-content .card .card-content .card-title{
  padding: 5px 0;
  font-size: 25px;
  font-weight: 500;
  color: #0078ff;
}

.services .services-content .card:hover .card-content .card-title{
  color: white;
}


/* portfolio section styling */
.portfolio-content{
  margin-top: 2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
}

.portfolio-content .card{
  width: 330px;
  box-shadow: 0 13px 8px -10px rgb(0 0 0 / 10%);
  margin-bottom: 30px;
}

.portfolio-content .card .photo{
  width: 100%;
  height: 200px;
  overflow: hidden;
}

.portfolio-content .card .photo img{
  width: 107%;
  height: 167%;
  margin-right: -38px;
  object-fit: inherit;
  transition: 0.5s ease-in-out;
}

.portfolio-content .card:hover .photo img{
  transform: scale(1.2);
}
.info a{
  text-decoration: none;
  color: white;
  
}
.info button{
  background-color: #0078ff;
}
.portfolio-content .card .info{
  width: 100%;
  padding: 15px;
  margin-bottom: 56px;
}
.services-content a{
  text-decoration: none;
  color: red;
}
.services-content a:hover{
  text-decoration: underline;
  color: black;
}
.portfolio-content .card .info h3{
  margin-bottom: 10px;
}

.portfolio-content .card .info .category{
  color: #0078ff;
}

/* blog section styling */
.blog-content{
  margin-top: 2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
}

.blog-content .card{
  width: 340px;
  box-shadow: 0 13px 8px -10px rgb(0 0 0 / 10%);
  margin-bottom: 30px;
  border-radius: 5px;
  border: 1px solid rgba(0,0,0,0.125);
}

.blog-content .card .photo{
  width: 100%;
  height: 200px;
  overflow: hidden;
}

.blog-content .card .photo img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s;
}

.blog-content .card:hover .photo img{
  transform: scale(1.2);
}

.blog-content .card .info{
  width: 100%;
  padding: 30px 20px 20px 20px;
  position: relative;
}

.blog-content .card .info h3{
  margin-bottom: 10px;
}

.blog-content .card .info .category{
  position: absolute;
  left: 50%;
  top: -14px;
  transform: translate(-50px);
  border-radius: 5px;
  background: #0078ff;
  color: white;
  padding: 5px 10px;
  z-index: 105;
}

.blog-content .card .info p{
  color: rgba(0,0,0,0.6);
}

.blog-content .card .author{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  background-color: rgba(0,0,0,0.03);
  border-top: 1px solid rgba(0,0,0,0.125);
}

.blog-content .card .author .name{
  display: flex;
  align-items: center;
}

.blog-content .card .author .name img{
  width: 30px;
  margin-right: 10px;
  border-radius: 50%;
}

/* contact section styling */
.contact{
  position: relative;
  color: white;
  width: 100%;
  background: url(images/overlay-bg.jpg) center center/cover no-repeat;
  background-attachment: fixed;
  z-index: 0;
  padding-bottom: 30px;
}

.contact .overlay{
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;

  opacity: 0.7;
  z-index: -1;
  pointer-events: none;
}

.contact .contact-content{
    color: black;
  z-index: 100;
  width: 100%;
  padding: 2.5rem;
  display: flex;
}

.contact .contact-content .heading{
  font-size: 2rem;
  font-weight: 500;
  color: #0078ff;

}

.contact .contact-content .line{
  margin: 0;
  width: 100px;
  height: 4px;
  margin-top: 12px;
  margin-bottom: 25px;
}

.contact .contact-content .message{
  width: 50%;
  padding: 0 15px;
}

.contact .contact-content .message .field{
  width: 100%;
  margin-bottom: 20px;
}

.contact .contact-content .message .field input,
.contact .contact-content .message .field textarea{
  width: 100%;
  height: 40px;
  border: 1px solid #888;
  outline: none;
  border-radius: 5px;
  padding-left: 15px;
  font-size: 16px;
}

.contact .contact-content .message .field textarea{
  height: 100px;
  padding-top: 5px;
}

.contact .contact-content .message button{
  padding: 15px 25px;
  background: #0078ff;
  color: white;
  font-size: 20px;
  border-radius: 10px;
  outline: none;
  border: none;
  cursor: pointer;
}

.contact .contact-content .gettouch{
  width: 50%;
  padding: 0 15px;
}

.contact .contact-content .gettouch p{
  color: rgba(0,0,0,0.6);
  font-weight: 300;
  margin-bottom: 20px;
  font-size: 20px;
  line-height: 1.5;
}

.contact .contact-content .gettouch .info{
  margin-bottom: 15px;
  color: #0078ff;
}

.contact .contact-content .gettouch .info i{
  font-size: 18px;
  color: #0078ff;
  margin-right: 15px;
}

.contact .contact-content .gettouch .social{
  width: 100%;
}

.contact .contact-content .gettouch .social i{
  width: 45px;
  font-size: 25px;
  height: 48px;
  color: white;
  background: #444;
  padding: 10px;
  text-align: center;
  margin: 20px 5px 0 0;
  cursor: pointer;
  border-radius: 5px;
  transition: 0.5s;
} 

.contact .contact-content .gettouch .social i:hover{
  background: #0078ff;
  transform: translateY(-10px);
}

 .footer{
  margin-top: 35px;
  background: #0078ff;
  height: 78px;
}

 .footer p{
  text-align: center;
  font-size: 18px;
}

.contact .footer p a{
  text-transform: none;
  color: white;
}

/* responsive styling start here */
@media (max-width:1024px){
  .navbar,
  .navbar.sticky{
      padding: 0.5rem 1.5rem;
      display: none;
  }

  .about .container{
      padding: 0 1.5rem;
  }
  .nav2{
   
    background-color: #0078ff;
  }
  #hide{
    transform: translate(343px, -23px);
    font-size: 26px;
display: block;
  }
  .nav2 li {
    font-size: 27px;
    margin-left: 200px;
   
   
    list-style: none;
    margin-top: 26px;
  }
  .nav2 li a{
    text-decoration: none;
    color: #000000;
  }
  .nav2 li a:hover{
    color: white;
    text-decoration: none;
    background-color: #000000;
    padding: 4px 158px;
        margin-left: -199px;
        cursor: pointer;
  }
  .nav2 li button{
    margin-top: 16px;
    margin-left: -23px;
    margin-bottom: 12px;
  }
  .logo1 a{
    font-size: 29px;
    text-decoration: none;
    color: #0078ff;
    display: block;
  }
  .contact .container{
      padding: 0 1.5rem;
  }
}

@media (max-width:890px){
  .about .container{
      padding: 0 1rem;
  }

  .about-content{
      display: block;
      padding: 25px;
  }

  .about-content .info{
      width: 100%;
      display: flex;
      padding: 0;
  }

  .about-content .aboutme{
      width: 100%;
      padding: 0;
  }
}

@media (max-width:768px){
  .navbar,
  .navbar.sticky{
      padding: 0.5rem 2.5rem;
      display: none;
  }

  .navbar .menu{
      position: fixed;
      height: 100vh;
      width: 100%;
      left: -100%;
      top: 0;
      background: #0078ff;
      color: white;
      text-align: center;
      padding-top: 50px;
      transition: 0.5s;
  }

  .navbar .menu.active{
      left: 0;
  }

  .navbar .menu li{
      display: block;
      margin: 0;
  }

  .navbar .menu li a{
      display: inline-block;
      margin: 20px 0;
      font-size: 25px;
  }

  .navbar .menu li a:hover::before{
      width: 0vh;
  }

  .navbar .menu li a,
  .navbar.sticky .menu li a{
      color: white;
  }

  .navbar .menu-btn{
      display: block;
      z-index: 999;
  }

  .navbar.sticky .menu-btn i{
      color: black;
  }

  .navbar .menu-btn i.active:before{
      content: "\f00d";
  }

  .navbar.sticky .menu-btn i.active{
      color: white;
  }

  .home .home-content h1{
      text-align: center;
      padding: 0 20px;
      font-size: 3.2rem;
      margin-bottom: 1.5rem;
  }

  .home .home-content span{
      font-size: 40px;
  }

  .contact .container{
      padding: 0 15px;
  }

  .contact .contact-content{
      display: block;
  }

  .contact .contact-content .message{
      width: 100%;
      padding: 0;
      margin-bottom: 30px;
  }

  .contact .contact-content .message button{
      padding: 10px 15px;
  }

  .contact .contact-content .gettouch{
      width: 100%;
      padding: 0;
  }
}

@media (max-width:500px){
  .home .home-content h1{
      font-size: 2.5rem;
  }

  .home .home-content span{
      font-size: 30px;
  }

  .about-content .info .personal{
      display: block;
  }

  .about-content .info .personal .photo{
      width: 100%;
      margin-bottom: 20px;
  }

  .about-content .info .personal .name{
      width: 100%;
  }
}